import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

public class Main {
    public static void main(String[] args) throws IOException {
        String fileName = "";

        /*Проверяем наличие файл tmp.txt в папке проекта*/
        Path pathExist = Paths.get("tmp.txt");
        fileName = pathExist.getFileName().toString();
        if (Files.exists(pathExist)) {
            System.out.println("Файл " + fileName + " существует");
        } else {
            System.out.println("Файл " + fileName + " не существует");
        }

        /*Проверяем отсутствие файла exist.txt в папке проекта*/
        Path pathNotExist = Paths.get("exist.txt");
        fileName = pathNotExist.getFileName().toString();
        if (Files.notExists(pathNotExist)) {
            System.out.println("Файл " + fileName + " не существует");
        } else {
            System.out.println("Файл " + fileName + " существует");
        }

        /*Проверяем указывают ли pathExist и sameFile на один и тот же файл*/
        Path sameFile = Paths.get("../pr106_1/tmp.txt");
        if (Files.isSameFile(pathExist, sameFile)) {
            System.out.println("sameFile и pathExist указывают на один и тот же файл");
        } else {
            System.out.println("sameFile и pathExist указывают на разные файлы");
        }
    }
}
